Skip to content
Newer
Older
100644 29 lines (22 sloc) 551 Bytes
015d53a @mislav setup continuous integration testing with Travis-CI
authored Jul 28, 2011
1 source 'http://rubygems.org'
bfbdc5b @mislav use Bundler to bootstrap testing dependencies
authored Feb 4, 2010
2
01dd16c @mislav test against Rails 3.2.1
authored Jan 31, 2012
3 rails_version = '~> 3.2.0'
015d53a @mislav setup continuous integration testing with Travis-CI
authored Jul 27, 2011
4
f23551e @mislav test against Rails 3.2.0.rc1
authored Dec 16, 2011
5 gem 'activerecord', rails_version
6 gem 'actionpack', rails_version
bbf71b7 @mislav fix spec suite to work with Rails 3.0.0.rc
authored Jul 27, 2010
7
f703f88 @mislav Rails 3.1, RSpec 2 compatibility
authored Jul 26, 2011
8 gem 'rake'
9 gem 'rspec', '~> 2.6.0'
bfbdc5b @mislav use Bundler to bootstrap testing dependencies
authored Feb 4, 2010
10 gem 'mocha', '~> 0.9.8'
015d53a @mislav setup continuous integration testing with Travis-CI
authored Jul 27, 2011
11
12 gem 'sequel', '~> 3.8'
f703f88 @mislav Rails 3.1, RSpec 2 compatibility
authored Jul 26, 2011
13 gem 'sqlite3', '~> 1.3.3'
f4f2d41 @mislav update DataMapper
authored Jul 26, 2011
14 gem 'dm-core'
4ced819 @mislav DataMapper pagination rewritten from the ground up
authored Jul 28, 2011
15 gem 'dm-aggregates'
f4f2d41 @mislav update DataMapper
authored Jul 26, 2011
16 gem 'dm-migrations'
17 gem 'dm-sqlite-adapter'
015d53a @mislav setup continuous integration testing with Travis-CI
authored Jul 27, 2011
18
19 group :mysql do
20 gem 'mysql', '~> 2.8.1'
21 gem 'mysql2', '>= 0.3.6'
22 end
23 gem 'pg', '~> 0.11', :group => :pg
f703f88 @mislav Rails 3.1, RSpec 2 compatibility
authored Jul 26, 2011
24
25 group :debug do
26 gem 'ruby-debug', :platforms => :mri_18
27 gem 'ruby-debug19', :platforms => :mri_19
015d53a @mislav setup continuous integration testing with Travis-CI
authored Jul 27, 2011
28 end unless ENV['TRAVIS']
Something went wrong with that request. Please try again.